curl --request GET \
--url https://api.vaults.fyi/v2/detailed-vaults/{network}/{vaultId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.vaults.fyi/v2/detailed-vaults/{network}/{vaultId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.vaults.fyi/v2/detailed-vaults/{network}/{vaultId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vaultId": "<string>",
"address": "<string>",
"name": "<string>",
"network": {
"chainId": 123,
"networkCaip": "<string>"
},
"asset": {
"address": "<string>",
"assetCaip": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"assetGroup": "<string>",
"assetLogo": "<string>",
"assetPriceInUsd": "<string>"
},
"isTransactional": true,
"isAppFeatured": true,
"protocol": {
"name": "<string>",
"displayName": "<string>",
"product": "<string>",
"version": "<string>",
"protocolUrl": "<string>",
"description": "<string>",
"protocolLogo": "<string>"
},
"tags": [
"<string>"
],
"holdersData": {
"totalCount": 123,
"totalBalance": "<string>",
"topHolders": [
{
"address": "<string>",
"lpTokenBalance": "<string>"
}
]
},
"apy": {
"1day": {
"base": 123,
"reward": 123,
"total": 123
},
"7day": {
"base": 123,
"reward": 123,
"total": 123
},
"30day": {
"base": 123,
"reward": 123,
"total": 123
},
"1hour": {
"base": 123,
"reward": 123,
"total": 123
}
},
"tvl": {
"usd": "<string>",
"native": "<string>"
},
"lastUpdateTimestamp": 123,
"creationData": {
"deploymentTimestamp": 123
},
"rewards": [
{
"asset": {
"address": "<string>",
"assetCaip": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"assetGroup": "<string>",
"assetLogo": "<string>",
"assetPriceInUsd": "<string>"
},
"apy": {
"1hour": 123,
"1day": 123,
"7day": 123,
"30day": 123
}
}
],
"isCorrupted": true,
"userEventsIndexed": true,
"warnings": [
"<string>"
],
"flags": [
{
"content": "<string>",
"endDate": 123,
"resolution": "<string>"
}
],
"lendUrl": "<string>",
"description": "<string>",
"protocolVaultUrl": "<string>",
"score": {
"vaultScore": 123,
"vaultTvlScore": 123,
"protocolTvlScore": 123,
"holderScore": 123,
"networkScore": 123,
"assetScore": 123,
"totalScorePenalty": 123,
"penaltyComponents": [
{
"content": "<string>",
"endDate": 123,
"type": "flag",
"value": 123,
"resolution": "<string>"
}
]
},
"additionalIncentives": "<string>",
"curator": {
"name": "<string>",
"description": "<string>",
"websiteUrl": "<string>"
},
"lpToken": {
"address": "<string>",
"tokenCaip": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123
},
"remainingCapacity": "<string>",
"maxCapacity": "<string>",
"childrenVaults": [
{
"vaultId": "<string>",
"address": "<string>",
"asset": {
"address": "<string>",
"assetCaip": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"assetGroup": "<string>",
"assetLogo": "<string>",
"assetPriceInUsd": "<string>"
},
"lpToken": {
"address": "<string>",
"tokenCaip": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123
},
"additionalAssets": [
{
"address": "<string>",
"assetCaip": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"assetGroup": "<string>",
"assetLogo": "<string>",
"assetPriceInUsd": "<string>"
}
]
}
],
"additionalAssets": [
{
"address": "<string>",
"assetCaip": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"assetGroup": "<string>",
"assetLogo": "<string>",
"assetPriceInUsd": "<string>"
}
],
"transactionalProperties": {
"rewardsSupported": true
},
"fees": {
"performanceFee": 123,
"managementFee": 123,
"withdrawalFee": 123,
"depositFee": 123
},
"apyComposite": {
"totalApy": {
"1day": {
"base": 123,
"reward": 123,
"total": 123
},
"7day": {
"base": 123,
"reward": 123,
"total": 123
},
"30day": {
"base": 123,
"reward": 123,
"total": 123
},
"1hour": {
"base": 123,
"reward": 123,
"total": 123
}
},
"intrinsicApy": {
"1day": {
"base": 123,
"reward": 123,
"total": 123
},
"7day": {
"base": 123,
"reward": 123,
"total": 123
},
"30day": {
"base": 123,
"reward": 123,
"total": 123
},
"1hour": {
"base": 123,
"reward": 123,
"total": 123
}
},
"asset": {
"address": "<string>",
"assetCaip": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"assetGroup": "<string>",
"assetLogo": "<string>",
"assetPriceInUsd": "<string>"
},
"vault": {
"vaultId": "<string>",
"address": "<string>"
}
}
}{
"statusCode": 123,
"error": "Bad Request",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Unauthorized",
"message": "An API key is required to access this service. Sign up at https://portal.vaults.fyi/signup to generate a key. We offer a Pay-As-You-Go plan so you only pay for what you use, with no commitments.",
"errorId": "<string>"
}{
"x402Version": 123,
"resource": {
"url": "<string>",
"description": "<string>",
"mimeType": "<string>",
"serviceName": "<string>",
"tags": [
"<string>"
],
"iconUrl": "<string>"
},
"error": "<string>",
"accepts": [
{
"scheme": "exact",
"network": "<string>",
"amount": "<string>",
"payTo": "<string>",
"maxTimeoutSeconds": 123,
"asset": "<string>",
"extra": {
"name": "<string>",
"version": "<string>"
}
}
],
"extensions": {}
}{
"error": "Forbidden",
"message": "This API key has exhausted its available credits. To resume service, please visit https://portal.vaults.fyi/signup to top-up your credits",
"errorId": "<string>"
}{
"error": "Not Found",
"message": "<string>"
}{
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Unprocessable Entity",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Internal Server Error",
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Service Unavailable",
"message": "<string>",
"errorId": "<string>"
}Get vault details
Retrieves a detailed performance metrics of single vault including APY, TVL, rewards, risk scores, and protocol information based on specified filters.
Authorizations
Path Parameters
Include only vaults with provided network(name or CAIP)
mainnet, optimism, arbitrum, polygon, gnosis, base, unichain, swellchain, celo, worldchain, berachain, ink, bsc, hyperliquid, plasma, avalanche, katana, linea, mega-eth, monad, etherlink, robinhood, eip155:1, eip155:10, eip155:42161, eip155:137, eip155:100, eip155:8453, eip155:130, eip155:1923, eip155:42220, eip155:480, eip155:80094, eip155:57073, eip155:56, eip155:999, eip155:9745, eip155:43114, eip155:747474, eip155:59144, eip155:4326, eip155:143, eip155:42793, eip155:4663 Vault id of the vault for which the data will be returned
Response
Default Response
Stable vault identity for API lookups and links
Address of the vault
^0x[a-fA-F0-9]{40}$Name of the vault
Network details of the vault
Show child attributes
Show child attributes
Asset details of the vault
Show child attributes
Show child attributes
Indicates if the vault supports transactional endpoints
Indicates if the vault is featured in app.vaults.fyi
Protocol details of the vault
Show child attributes
Show child attributes
Tags of the vault
1Show child attributes
Show child attributes
APY details of the vault
Show child attributes
Show child attributes
TVL details of the vault
Show child attributes
Show child attributes
Timestamp of the last vault data update
Vault contract creation data
Show child attributes
Show child attributes
List of rewards for the vault
Show child attributes
Show child attributes
Indicates if the vault is corrupted
Indicates if user events related to the vault are indexed and available in the API
List of warnings related to the vault
List of flags with severity and expiry information
Show child attributes
Show child attributes
URL to lend the asset
Description of the vault
URL to the protocol vault
Score details of the vault
Show child attributes
Show child attributes
Additional incentives of the vault
Curator of the vault
Show child attributes
Show child attributes
LP token details of the vault
Show child attributes
Show child attributes
Remaining capacity of the vault
Maximum capacity limit of the vault
List of child vaults
Show child attributes
Show child attributes
Additional assets of the vault
Show child attributes
Show child attributes
Transactional properties of the vault
Show child attributes
Show child attributes
Fee structure of the vault
Show child attributes
Show child attributes
Composite APY data when vault asset is another vault LP token. When present, totalApy compounds the current vault with the underlying vault and intrinsicApy shows the underlying vault's own APY
Show child attributes
Show child attributes

